<?php // $Id: maintenance.php,v 1.3.2.3 2001/11/16 11:13:57 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Figure out our location
if (strlen(__FILE__) > strlen(basename(__FILE__)))
    define ('phpAds_path', substr(__FILE__, 0, strpos(__FILE__, 'maintenance') - 1));
else
    define ('phpAds_path', '.');



// Include required files
require ("../config.inc.php");
require ("../lib-db.inc.php");
require ("../lib-log.inc.php");
require ("../lib-cache.inc.php");
require ("../admin/lib-statistics.inc.php");

// Set time limit and ignore user abort
if (!get_cfg_var ('safe_mode')) 
{
	set_time_limit (300);
	ignore_user_abort(1);
}


// Load language strings
require("../language/$phpAds_language.inc.php");

// Change date/time formats to match Postgres Syntax
$date_format[0] = strtr($date_format, array("%d" => "DD", "%m" => "MM", "%Y" => "YYYY"));
$time_format[0] = strtr($time_format, array("%H" => "HH24", "%i" => "MI", "%S" => "SS"));


// Make database connection
phpAds_dbConnect();


$adminreport = "";

include ("maintenance-reports.php");
include ("maintenance-activation.php");

if ($adminreport != "")
{
	// mail admin report to admin
}

?>